Package org.eclipse.m2m.atl.emftvm.util

## Enum NativeTypes.NativeType

- java.lang.Object
- - java.lang.Enum<NativeTypes.NativeType>
  - - org.eclipse.m2m.atl.emftvm.util.NativeTypes.NativeType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<NativeTypes.NativeType>`

Enclosing class:
  NativeTypes

    public static enum NativeTypes.NativeType
    extends java.lang.Enum<NativeTypes.NativeType>

Enumeration of registered native types.

### Enum Constant Summary

Enum Constants
`BAG`
`BOOLEAN`
`COLLECTION`
`INTEGER`
`MAP`
`OBJECT`
`ORDERED_SET`
`REAL`
`SEQUENCE`
`SET`
`STRING`
`TUPLE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Returns the name.
`java.lang.Class<?>` `getType()` Returns the type.
`static NativeTypes.NativeType` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NativeTypes.NativeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OBJECT

    public static final NativeTypes.NativeType OBJECT

#### COLLECTION

    public static final NativeTypes.NativeType COLLECTION

#### BAG

    public static final NativeTypes.NativeType BAG

#### SEQUENCE

    public static final NativeTypes.NativeType SEQUENCE

#### SET

    public static final NativeTypes.NativeType SET

#### ORDERED_SET

    public static final NativeTypes.NativeType ORDERED_SET

#### MAP

    public static final NativeTypes.NativeType MAP

#### TUPLE

    public static final NativeTypes.NativeType TUPLE

#### BOOLEAN

    public static final NativeTypes.NativeType BOOLEAN

#### INTEGER

    public static final NativeTypes.NativeType INTEGER

#### REAL

    public static final NativeTypes.NativeType REAL

#### STRING

    public static final NativeTypes.NativeType STRING

### Method Detail

#### values

    public static NativeTypes.NativeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NativeTypes.NativeType c : NativeTypes.NativeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NativeTypes.NativeType valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getName

    public java.lang.String getName()

Returns the name.

Returns:
  the name

#### getType

    public java.lang.Class<?> getType()

Returns the type.

Returns:
  the type